# eric3.VCS.mercurialPackage.SwitchDialog

Module implementing a dialog to enter the data for a switch operation.

### Classes

HgSwitchDialog | Class implementing a dialog to enter the data for a switch operation.

### Functions

None

## HgSwitchDialog

Class implementing a dialog to enter the data for a switch operation.

### Derived from

SwitchForm

### Methods

HgSwitchDialog | Constructor
getParameters | Public method to retrieve the tag data.

### HgSwitchDialog (Constructor)

HgSwitchDialog(taglist, parent = None)

Constructor

taglist
  list of previously entered tags (QStringList)
parent
  parent widget (QWidget)

### HgSwitchDialog.getParameters

getParameters()

Public method to retrieve the tag data.

Returns:
  tag name (QString)

Up